Index: branches/HTM-5.1-dev3-Mediatek/source/Lib/TLibCommon/TComDataCU.cpp
===================================================================
--- branches/HTM-5.1-dev3-Mediatek/source/Lib/TLibCommon/TComDataCU.cpp	(revision 247)
+++ branches/HTM-5.1-dev3-Mediatek/source/Lib/TLibCommon/TComDataCU.cpp	(revision 249)
@@ -5608,5 +5608,5 @@
 #if QC_SIMPLE_NBDV_B0047
   const Int iNumofDvMCP = 7;
-#if MTK_RELEASE_DV_CONSTRAINT
+#if MTK_RELEASE_DV_CONSTRAINT_C0129
   Int   aiDvMcpDvCandX[2][iNumofDvMCP] = {{0,},    {0,}}; // dummy, 5 spatial + 1 temporal
   Int   aiDvMcpDvCandY[2][iNumofDvMCP] = {{0,},    {0,}}; // dummy, 5 spatial + 1 temporal
@@ -5636,5 +5636,5 @@
   deriveLeftBottomIdxGeneral( eCUMode, uiPartAddr, uiPartIdx, uiPartIdxLB );
 
-#if MTK_SAIT_TEMPORAL_FIRST_ORDER
+#if MTK_SAIT_TEMPORAL_FIRST_ORDER_C0141_C0097
   // copied from getInterMergeCand()
   if ( getSlice()->getPPS()->getEnableTMVPFlag() )
@@ -5803,5 +5803,7 @@
     Int iTStartViewIdx = 0;
     UInt uiPartIdxRB, uiBRIdx;
+#if !MTK_SIMPLIFY_DVTC_C0135
     Int uiViewIdxCurr= getSlice()->getViewId();
+#endif
     UInt uiPartIdxCenter;
     xDeriveCenterIdx( eCUMode, uiPartIdx, uiPartIdxCenter );
@@ -5813,5 +5815,5 @@
     uiBRIdx = uiPartIdxLT;
     UInt uiAbsPartIdxTmp = g_auiZscanToRaster[uiPartIdxRB];
-#if MTK_SIMPLIFY_DVTC
+#if MTK_SIMPLIFY_DVTC_C0135
     if (( m_pcPic->getCU(m_uiCUAddr)->getCUPelX() + g_auiRasterToPelX[uiAbsPartIdxTmp] + m_pcPic->getMinCUWidth() )>= m_pcSlice->getSPS()->getPicWidthInLumaSamples() )
     {
@@ -5835,5 +5837,5 @@
       {
         uiBRIdx = g_auiRasterToZscan[ (uiAbsPartIdxTmp + uiNumPartInCUWidth + 1) % m_pcPic->getNumPartInCU() ];
-#if MTK_SIMPLIFY_DVTC
+#if MTK_SIMPLIFY_DVTC_C0135
         uiLCUnew = -1;
 #else
@@ -5849,5 +5851,5 @@
       {
         uiBRIdx = 0;
-#if MTK_SIMPLIFY_DVTC
+#if MTK_SIMPLIFY_DVTC_C0135
         uiLCUnew = -1;
 #else
@@ -5879,5 +5881,5 @@
       if( m_pcSlice->getViewId() == getSlice()->getRefPic( eRefPicList, lpRef)->getViewId() ) 
       {
-#if !MTK_SIMPLIFY_DVTC
+#if !MTK_SIMPLIFY_DVTC_C0135
         if (uiViewIdxCurr > 1)  
         {
@@ -5902,5 +5904,5 @@
             return ;
           }
-#if !MTK_SIMPLIFY_DVTC
+#if !MTK_SIMPLIFY_DVTC_C0135
         }
 #endif
@@ -5923,5 +5925,5 @@
           return ;
         }
-#if !MTK_SIMPLIFY_DVTC
+#if !MTK_SIMPLIFY_DVTC_C0135
         if(uiViewIdxCurr == 1)  
         {
@@ -6012,5 +6014,5 @@
           if( cTmpMvPred.m_bDvMcp && bTmpIsSkipped )
           {
-#if MTK_RELEASE_DV_CONSTRAINT
+#if MTK_RELEASE_DV_CONSTRAINT_C0129
             aiDvMcpDvCandX[iList][DVFROM_LEFT] = cTmpMvPred.m_iDvMcpDispX;
             aiDvMcpDvCandY[iList][DVFROM_LEFT] = cTmpMvPred.m_iDvMcpDispY;
@@ -6103,5 +6105,5 @@
           if( cTmpMvPred.m_bDvMcp  && bTmpIsSkipped )
           {
-#if MTK_RELEASE_DV_CONSTRAINT
+#if MTK_RELEASE_DV_CONSTRAINT_C0129
             aiDvMcpDvCandX[iList][DVFROM_ABOVE] = cTmpMvPred.m_iDvMcpDispX;
             aiDvMcpDvCandY[iList][DVFROM_ABOVE] = cTmpMvPred.m_iDvMcpDispY;
@@ -6188,5 +6190,5 @@
           if( cTmpMvPred.m_bDvMcp && bTmpIsSkipped )
           {
-#if MTK_RELEASE_DV_CONSTRAINT
+#if MTK_RELEASE_DV_CONSTRAINT_C0129
             aiDvMcpDvCandX[iList][DVFROM_ABOVERIGHT] = cTmpMvPred.m_iDvMcpDispX;
             aiDvMcpDvCandY[iList][DVFROM_ABOVERIGHT] = cTmpMvPred.m_iDvMcpDispY;
@@ -6265,5 +6267,5 @@
           if( cTmpMvPred.m_bDvMcp && bTmpIsSkipped )
           {
-#if MTK_RELEASE_DV_CONSTRAINT
+#if MTK_RELEASE_DV_CONSTRAINT_C0129
             aiDvMcpDvCandX[iList][DVFROM_LEFTBELOW] = cTmpMvPred.m_iDvMcpDispX;
             aiDvMcpDvCandY[iList][DVFROM_LEFTBELOW] = cTmpMvPred.m_iDvMcpDispY;
@@ -6352,5 +6354,5 @@
           if( cTmpMvPred.m_bDvMcp && bTmpIsSkipped )
           {
-#if MTK_RELEASE_DV_CONSTRAINT
+#if MTK_RELEASE_DV_CONSTRAINT_C0129
             aiDvMcpDvCandX[iList][DVFROM_ABOVELEFT] = cTmpMvPred.m_iDvMcpDispX;
             aiDvMcpDvCandY[iList][DVFROM_ABOVELEFT] = cTmpMvPred.m_iDvMcpDispY;
@@ -6380,5 +6382,5 @@
     }
   }
-#if !MTK_SAIT_TEMPORAL_FIRST_ORDER
+#if !MTK_SAIT_TEMPORAL_FIRST_ORDER_C0141_C0097
   // copied from getInterMergeCand()
   if ( getSlice()->getPPS()->getEnableTMVPFlag() )
@@ -6547,5 +6549,7 @@
     Int iTStartViewIdx = 0;
     UInt uiPartIdxRB, uiBRIdx;
+#if !MTK_SIMPLIFY_DVTC_C0135
     Int uiViewIdxCurr= getSlice()->getViewId();
+#endif
     UInt uiPartIdxCenter;
     xDeriveCenterIdx( eCUMode, uiPartIdx, uiPartIdxCenter );
@@ -6557,5 +6561,5 @@
     uiBRIdx = uiPartIdxLT;
     UInt uiAbsPartIdxTmp = g_auiZscanToRaster[uiPartIdxRB];
-#if MTK_SIMPLIFY_DVTC
+#if MTK_SIMPLIFY_DVTC_C0135
     if (( m_pcPic->getCU(m_uiCUAddr)->getCUPelX() + g_auiRasterToPelX[uiAbsPartIdxTmp] + m_pcPic->getMinCUWidth() )>= m_pcSlice->getSPS()->getPicWidthInLumaSamples() )
     {
@@ -6579,5 +6583,5 @@
       {
         uiBRIdx = g_auiRasterToZscan[ (uiAbsPartIdxTmp + uiNumPartInCUWidth + 1) % m_pcPic->getNumPartInCU() ];
-#if MTK_SIMPLIFY_DVTC
+#if MTK_SIMPLIFY_DVTC_C0135
         uiLCUnew = -1;
 #else
@@ -6593,5 +6597,5 @@
       {
         uiBRIdx = 0;
-#if MTK_SIMPLIFY_DVTC
+#if MTK_SIMPLIFY_DVTC_C0135
         uiLCUnew = -1;
 #else
@@ -6623,5 +6627,5 @@
       if( m_pcSlice->getViewId() == getSlice()->getRefPic( eRefPicList, lpRef)->getViewId() ) 
       {
-#if !MTK_SIMPLIFY_DVTC
+#if !MTK_SIMPLIFY_DVTC_C0135
         if (uiViewIdxCurr > 1)  
         {
@@ -6646,5 +6650,5 @@
             return ;
           }
-#if !MTK_SIMPLIFY_DVTC
+#if !MTK_SIMPLIFY_DVTC_C0135
         }
 #endif
@@ -6667,5 +6671,5 @@
           return ;
         }
-#if !MTK_SIMPLIFY_DVTC
+#if !MTK_SIMPLIFY_DVTC_C0135
         if(uiViewIdxCurr == 1)  
         {
@@ -6708,5 +6712,5 @@
         if( abDvMcpFlag[iList][i]==true )
         {
-#if MTK_RELEASE_DV_CONSTRAINT
+#if MTK_RELEASE_DV_CONSTRAINT_C0129
           TComMv dv( aiDvMcpDvCandX[iList][ i ], aiDvMcpDvCandY[iList][ i ] );
 #else
@@ -8877,5 +8881,5 @@
   else
   {
-#if MTK_RELEASE_DV_CONSTRAINT
+#if MTK_RELEASE_DV_CONSTRAINT_C0129
     Bool bAvailable = pcResidualGenerator->getResidualSamples( this, uiPartIdx, pcYuv, cDisInfo.m_acMvCand[0] 
 #if QC_SIMPLIFIEDIVRP_M24938
Index: branches/HTM-5.1-dev3-Mediatek/source/Lib/TLibCommon/TComDepthMapGenerator.cpp
===================================================================
--- branches/HTM-5.1-dev3-Mediatek/source/Lib/TLibCommon/TComDepthMapGenerator.cpp	(revision 247)
+++ branches/HTM-5.1-dev3-Mediatek/source/Lib/TLibCommon/TComDepthMapGenerator.cpp	(revision 249)
@@ -723,5 +723,5 @@
               cMv.m_bDvMcp = true;
               cMv.m_iDvMcpDispX = pDInfo->m_acMvCand[0].getHor();
-#if MTK_RELEASE_DV_CONSTRAINT
+#if MTK_RELEASE_DV_CONSTRAINT_C0129
               cMv.m_iDvMcpDispY = pDInfo->m_acMvCand[0].getVer();
 #endif
@@ -923,5 +923,5 @@
           rcMv.m_bDvMcp = true;
           rcMv.m_iDvMcpDispX = pDInfo->m_acMvCand[0].getHor(); 
-#if MTK_RELEASE_DV_CONSTRAINT
+#if MTK_RELEASE_DV_CONSTRAINT_C0129
           rcMv.m_iDvMcpDispY = pDInfo->m_acMvCand[0].getVer();
 #endif
Index: branches/HTM-5.1-dev3-Mediatek/source/Lib/TLibCommon/TComMv.h
===================================================================
--- branches/HTM-5.1-dev3-Mediatek/source/Lib/TLibCommon/TComMv.h	(revision 247)
+++ branches/HTM-5.1-dev3-Mediatek/source/Lib/TLibCommon/TComMv.h	(revision 249)
@@ -60,5 +60,5 @@
   Bool  m_bDvMcp;       // is dv-mcp ?
   Int   m_iDvMcpDispX;  // disparity for dv-mcp
-#if MTK_RELEASE_DV_CONSTRAINT
+#if MTK_RELEASE_DV_CONSTRAINT_C0129
   Int   m_iDvMcpDispY;  // disparity for dv-mcp
 #endif
@@ -75,5 +75,5 @@
   , m_bDvMcp(false)
   , m_iDvMcpDispX(0)
-#if MTK_RELEASE_DV_CONSTRAINT
+#if MTK_RELEASE_DV_CONSTRAINT_C0129
   , m_iDvMcpDispY(0)
 #endif
@@ -88,5 +88,5 @@
   , m_bDvMcp(false)
   , m_iDvMcpDispX(0)
-#if MTK_RELEASE_DV_CONSTRAINT
+#if MTK_RELEASE_DV_CONSTRAINT_C0129
   , m_iDvMcpDispY(0)
 #endif
Index: branches/HTM-5.1-dev3-Mediatek/source/Lib/TLibCommon/TComResidualGenerator.cpp
===================================================================
--- branches/HTM-5.1-dev3-Mediatek/source/Lib/TLibCommon/TComResidualGenerator.cpp	(revision 247)
+++ branches/HTM-5.1-dev3-Mediatek/source/Lib/TLibCommon/TComResidualGenerator.cpp	(revision 249)
@@ -220,5 +220,5 @@
 
 #if QC_MULTI_DIS_CAN_A0097
-#if MTK_RELEASE_DV_CONSTRAINT
+#if MTK_RELEASE_DV_CONSTRAINT_C0129
 Bool
 TComResidualGenerator::getResidualSamples( TComDataCU* pcCU, UInt uiPUIdx, TComYuv* pcYuv, TComMv iDisp
@@ -253,5 +253,5 @@
   pcCU->getPic()->getPicYuvRec()->getTopLeftSamplePos( pcCU->getAddr(), pcCU->getZorderIdxInCU() + uiPartAddr, iXPos, iYPos );
 #if QC_MULTI_DIS_CAN_A0097
-#if MTK_RELEASE_DV_CONSTRAINT
+#if MTK_RELEASE_DV_CONSTRAINT_C0129
   return getResidualSamples( pcCU->getPic(), (UInt)iXPos, (UInt)iYPos, (UInt)iBlkWidth, (UInt)iBlkHeight, pcYuv, iDisp 
 #if QC_SIMPLIFIEDIVRP_M24938
@@ -276,5 +276,5 @@
   
 #if QC_MULTI_DIS_CAN_A0097
-#if MTK_RELEASE_DV_CONSTRAINT
+#if MTK_RELEASE_DV_CONSTRAINT_C0129
 Bool
 TComResidualGenerator::getResidualSamples( TComPic* pcPic, UInt uiXPos, UInt uiYPos, UInt uiBlkWidth, UInt uiBlkHeight, TComYuv* pcYuv, TComMv iDisp  
@@ -310,5 +310,5 @@
 #endif
 #if QC_MULTI_DIS_CAN_A0097
-#if MTK_RELEASE_DV_CONSTRAINT
+#if MTK_RELEASE_DV_CONSTRAINT_C0129
   xSetPredResidualBlock( pcPic, uiBaseViewId, uiXPos, uiYPos, uiBlkWidth, uiBlkHeight, pcYuv, iDisp
 #if QC_SIMPLIFIEDIVRP_M24938
@@ -552,5 +552,5 @@
 
 #if QC_MULTI_DIS_CAN_A0097
-#if MTK_RELEASE_DV_CONSTRAINT
+#if MTK_RELEASE_DV_CONSTRAINT_C0129
 Void  
 TComResidualGenerator::xSetPredResidualBlock( TComPic* pcPic, UInt uiBaseViewId, UInt uiXPos, UInt uiYPos, UInt uiBlkWidth, UInt uiBlkHeight, TComYuv* pcYuv, TComMv iDisp
@@ -592,5 +592,5 @@
   //===== get disparity =====
 #if QC_MULTI_DIS_CAN_A0097
-#if MTK_RELEASE_DV_CONSTRAINT
+#if MTK_RELEASE_DV_CONSTRAINT_C0129
   Int iDisparity_y = iDisp.getVer();
   Int iDisparity   = iDisp.getHor();
@@ -610,5 +610,5 @@
   Int           iYRefPosX0  = Int( uiXPos )     + ( iDisparity >> 2 );
   Int           iYRefPosX1  = iYRefPosX0        + 1;
-#if MTK_RELEASE_DV_CONSTRAINT
+#if MTK_RELEASE_DV_CONSTRAINT_C0129
   Int           iYMaxPosY   = Int( uiPicHeight ) - 1;
   Int           iYWeight3   = ( iDisparity_y & 3 );
@@ -620,5 +620,5 @@
   Int           iSrcStrideY = pcBaseRes->getStride   ();
   Int           iDesStrideY = pcYuv    ->getStride   ();
-#if MTK_RELEASE_DV_CONSTRAINT
+#if MTK_RELEASE_DV_CONSTRAINT_C0129
   Pel*          pSrcSamplesY0= pcBaseRes->getLumaAddr ( 0 ) + iYRefPosY0 * iSrcStrideY;
   Pel*          pSrcSamplesY1= pcBaseRes->getLumaAddr ( 0 ) + iYRefPosY1 * iSrcStrideY;
@@ -636,5 +636,5 @@
     return;
 #endif
-#if MTK_RELEASE_DV_CONSTRAINT
+#if MTK_RELEASE_DV_CONSTRAINT_C0129
   for(   Int iY = 0; iY < iYHeight; iY++, pSrcSamplesY0 += iSrcStrideY, pSrcSamplesY1 += iSrcStrideY, pDesSamplesY += iDesStrideY )
 #else
@@ -646,5 +646,5 @@
       Int iXPic0        = Max( 0, Min( iYMaxPosX, iYRefPosX0 + iX ) );
       Int iXPic1        = Max( 0, Min( iYMaxPosX, iYRefPosX1 + iX ) );
-#if MTK_RELEASE_DV_CONSTRAINT
+#if MTK_RELEASE_DV_CONSTRAINT_C0129
       Pel Temp1,Temp2;
       Temp1 =( iYWeight0 * pSrcSamplesY0[iXPic0] + iYWeight1 * pSrcSamplesY0[iXPic1] + 2 ) >> 2;
@@ -664,5 +664,5 @@
   Int           iCRefPosX0  = Int( uiXPos     >> 1 ) + ( iDisparity >> 3 );
   Int           iCRefPosX1  = iCRefPosX0             + 1;
-#if MTK_RELEASE_DV_CONSTRAINT
+#if MTK_RELEASE_DV_CONSTRAINT_C0129
   Int           iCMaxPosY   = Int( uiPicHeight >> 1 ) - 1;
   Int           iCWeight3   = ( iDisparity_y & 7 );
@@ -674,9 +674,9 @@
   Int           iSrcStrideC = pcBaseRes->getCStride();
   Int           iDesStrideC = pcYuv    ->getCStride();
-#if MTK_RELEASE_DV_CONSTRAINT
-  Pel*          pSrcSamplesU0= pcBaseRes->getCbAddr ( 0 ) + ( iYRefPosY0 >> 1 ) * iSrcStrideC;
-  Pel*          pSrcSamplesU1= pcBaseRes->getCbAddr ( 0 ) + ( iYRefPosY1 >> 1 ) * iSrcStrideC;
-  Pel*          pSrcSamplesV0= pcBaseRes->getCrAddr ( 0 ) + ( iYRefPosY0 >> 1 ) * iSrcStrideC;
-  Pel*          pSrcSamplesV1= pcBaseRes->getCrAddr ( 0 ) + ( iYRefPosY1 >> 1 ) * iSrcStrideC;
+#if MTK_RELEASE_DV_CONSTRAINT_C0129
+  Pel*          pSrcSamplesU0= pcBaseRes->getCbAddr ( 0 ) + ( iCRefPosY0 >> 1 ) * iSrcStrideC;
+  Pel*          pSrcSamplesU1= pcBaseRes->getCbAddr ( 0 ) + ( iCRefPosY1 >> 1 ) * iSrcStrideC;
+  Pel*          pSrcSamplesV0= pcBaseRes->getCrAddr ( 0 ) + ( iCRefPosY0 >> 1 ) * iSrcStrideC;
+  Pel*          pSrcSamplesV1= pcBaseRes->getCrAddr ( 0 ) + ( iCRefPosY1 >> 1 ) * iSrcStrideC;
 #else
   Pel*          pSrcSamplesU= pcBaseRes->getCbAddr ( 0 ) + ( uiYPos >> 1 ) * iSrcStrideC;
@@ -685,5 +685,5 @@
   Pel*          pDesSamplesU= pcYuv    ->getCbAddr ();
   Pel*          pDesSamplesV= pcYuv    ->getCrAddr ();
-#if MTK_RELEASE_DV_CONSTRAINT
+#if MTK_RELEASE_DV_CONSTRAINT_C0129
   for(   Int iY = 0; iY < iCHeight; iY++, pSrcSamplesU0 += iSrcStrideC, pSrcSamplesU1 += iSrcStrideC, pDesSamplesU += iDesStrideC,
                                           pSrcSamplesV0 += iSrcStrideC, pSrcSamplesV1 += iSrcStrideC, pDesSamplesV += iDesStrideC )
@@ -697,12 +697,12 @@
       Int iXPic0        = Max( 0, Min( iCMaxPosX, iCRefPosX0 + iX ) );
       Int iXPic1        = Max( 0, Min( iCMaxPosX, iCRefPosX1 + iX ) );
-#if MTK_RELEASE_DV_CONSTRAINT
+#if MTK_RELEASE_DV_CONSTRAINT_C0129
       Pel Temp1,Temp2;
       Temp1 =( iCWeight0 * pSrcSamplesU0[iXPic0] + iCWeight1 * pSrcSamplesU0[iXPic1] + 4 ) >> 3;
       Temp2 =( iCWeight0 * pSrcSamplesU1[iXPic0] + iCWeight1 * pSrcSamplesU1[iXPic1] + 4 ) >> 3;
-      pDesSamplesU[iX]  = ( iYWeight2 * Temp1 + iYWeight3 * Temp2 + 2 ) >> 2;
+      pDesSamplesU[iX]  = ( iCWeight2 * Temp1 + iCWeight3 * Temp2 + 2 ) >> 2;
       Temp1 =( iCWeight0 * pSrcSamplesV0[iXPic0] + iCWeight1 * pSrcSamplesV0[iXPic1] + 4 ) >> 3;
       Temp2 =( iCWeight0 * pSrcSamplesV1[iXPic0] + iCWeight1 * pSrcSamplesV1[iXPic1] + 4 ) >> 3;
-      pDesSamplesV[iX]  = ( iYWeight2 * Temp1 + iYWeight3 * Temp2 + 2 ) >> 2;
+      pDesSamplesV[iX]  = ( iCWeight2 * Temp1 + iCWeight3 * Temp2 + 2 ) >> 2;
 #else
       pDesSamplesU[iX]  = ( iCWeight0 * pSrcSamplesU[iXPic0] + iCWeight1 * pSrcSamplesU[iXPic1] + 4 ) >> 3;
Index: branches/HTM-5.1-dev3-Mediatek/source/Lib/TLibCommon/TComResidualGenerator.h
===================================================================
--- branches/HTM-5.1-dev3-Mediatek/source/Lib/TLibCommon/TComResidualGenerator.h	(revision 247)
+++ branches/HTM-5.1-dev3-Mediatek/source/Lib/TLibCommon/TComResidualGenerator.h	(revision 249)
@@ -70,5 +70,5 @@
 
 #if QC_MULTI_DIS_CAN_A0097
-#if MTK_RELEASE_DV_CONSTRAINT
+#if MTK_RELEASE_DV_CONSTRAINT_C0129
   Bool  getResidualSamples    ( TComDataCU*   pcCU,  UInt uiPUIdx, TComYuv* pcYuv, TComMv iDisp_x
 #if QC_SIMPLIFIEDIVRP_M24938
@@ -114,5 +114,5 @@
   Void  xClearResidual        (                      TComYuv* pcCUResidual, UInt uiAbsPartIdx, UInt uiWidth, UInt uiHeight );
 #if QC_MULTI_DIS_CAN_A0097
-#if MTK_RELEASE_DV_CONSTRAINT
+#if MTK_RELEASE_DV_CONSTRAINT_C0129
   Void  xSetPredResidualBlock ( TComPic*      pcPic, UInt uiBaseViewId, UInt uiXPos, UInt uiYPos, UInt uiBlkWidth, UInt uiBlkHeight, TComYuv* pcYuv, TComMv iDisp
 #if QC_SIMPLIFIEDIVRP_M24938
Index: branches/HTM-5.1-dev3-Mediatek/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- branches/HTM-5.1-dev3-Mediatek/source/Lib/TLibCommon/TypeDef.h	(revision 247)
+++ branches/HTM-5.1-dev3-Mediatek/source/Lib/TLibCommon/TypeDef.h	(revision 249)
@@ -143,7 +143,7 @@
 #define DV_DERIVATION_PARALLEL_B0096      1   // JCT3V-B0096, enable parallel derivation of disparity vector
 #define QC_SIMPLE_NBDV_B0047              1   // JCT3V-B0047
-#define MTK_SAIT_TEMPORAL_FIRST_ORDER     1   // JCT3V-C00141/C0097
-#define MTK_SIMPLIFY_DVTC                 1   // JCT3V-C00135
-#define MTK_RELEASE_DV_CONSTRAINT         1   // JCT3V-C00129
+#define MTK_SAIT_TEMPORAL_FIRST_ORDER_C0141_C0097     1   // JCT3V-C0141/C0097
+#define MTK_SIMPLIFY_DVTC_C0135                       1   // JCT3V-C0135
+#define MTK_RELEASE_DV_CONSTRAINT_C0129               0   // JCT3V-C0129
 ///// ***** MOTION PARAMETER INHERITANCE  *********
 #define HHI_MPI                           1   // motion parameter inheritance from texture picture for depth map coding